List warehouses
List all warehouses.
get/tenants/{tenantUid}/stores/{storeUid}/warehouses
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Query parameters
warehouseExternalIdstringOptional
External reference to a warehouse.
warehouseNamestringOptional
Reference to the name of a warehouse.
pageNumberintegerOptional
Reference to a specific page in a result set.
pageSizeintegerOptional
The number of items per page in a result set.
sortBystringOptional
Defines which field the resource list is sorted by.
sortDirectionstring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
Responses
200
Example response
application/json
get/tenants/{tenantUid}/stores/{storeUid}/warehouses
GET /v2/tenants/{tenantUid}/stores/{storeUid}/warehouses HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"items": [
{
"createdAt": "2026-01-01T00:00:00.000Z",
"externalId": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"name": "text",
"warehouseUid": "text",
"accessList": [
{
"role": "DELIVER",
"storeUid": "text",
"storeName": "text",
"warehouseUid": "text",
"warehouseName": "text",
"warehouseAccessUid": "text"
}
]
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

